Store a vault entry
POST
/api/v1/vault/{agent_role}/entries
const url = 'https://api.ultimateteam.ai/api/v1/vault/example/entries';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"description":"example","entry_key":"example","entry_type":"credential","value":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/vault/example/entries \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "description": "example", "entry_key": "example", "entry_type": "credential", "value": {} }'Encrypt and store a secret value in the agent’s vault partition.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”agent_role
required
Agent Role
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
VaultEntryCreate
Request model for storing a new vault entry.
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
VaultEntryResponse
Response model for vault entry metadata (no decrypted value).
object
Examplegenerated
{ "created_at": "2026-04-15T12:00:00Z", "description": "example", "entry_key": "example", "entry_type": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updated_at": "2026-04-15T12:00:00Z"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}